## ros-dashing-tf2-msgs 0.11.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(action_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/TF2Error.msg"
  "msg/TFMessage.msg"
  "srv/FrameGraph.srv"
  "action/LookupTransform.action"
  DEPENDENCIES builtin_interfaces std_msgs geometry_msgs action_msgs
)

install(
  FILES tfmessage_bridge_mapping_rule.yaml
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-dashing-tf2-msgs (0.11.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Dec 2019 06:00:00 -0000

ros-dashing-tf2-msgs (0.11.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 06 Sep 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.11.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 31 Jul 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.11.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.11.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.11.1-1bionic) bionic; urgency=high

  * Tf2_msgs including actions (#109 <https://github.com/ros2/geometry2/issues/109>)
  * Contributors: Alejandro Hernández Cordero

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.11.0-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-dashing-tf2-msgs (0.10.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-dashing-tf2-msgs (0.10.0-1bionic) bionic; urgency=high

  * use add_compile_options instead of setting only cxx flags
  * Contributors: Mikael Arguedas

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.15-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.14-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.13-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.12-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.11-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.10-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.9-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.8-1bionic) bionic; urgency=high

  * remove useless Makefile files
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.7-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 05:00:00 -0000

ros-dashing-tf2-msgs (0.5.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 06:00:00 -0000

ros-dashing-tf2-msgs (0.5.0-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 06:00:00 -0000

ros-dashing-tf2-msgs (0.4.10-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 06:00:00 -0000

ros-dashing-tf2-msgs (0.4.9-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 06:00:00 -0000

ros-dashing-tf2-msgs (0.4.8-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 06:00:00 -0000

ros-dashing-tf2-msgs (0.4.7-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.4.0-1bionic) bionic; urgency=high

  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Jun 2013 05:00:00 -0000

ros-dashing-tf2-msgs (0.3.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 03 Mar 2013 06:00:00 -0000

ros-dashing-tf2-msgs (0.3.5-1bionic) bionic; urgency=high

  * 0.3.4 -> 0.3.5

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 20:46:00 -0000

ros-dashing-tf2-msgs (0.3.4-1bionic) bionic; urgency=high

  * 0.3.3 -> 0.3.4



=== debian/control ===
Source: ros-dashing-tf2-msgs
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-generators, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://www.ros.org/wiki/tf2_msgs
Standards-Version: 3.9.2

Package: ros-dashing-tf2-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-action-msgs, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-ros-workspace
Description: tf2_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-tf2-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
